import React from 'react';
import { ITypeDefinitions } from 'graphql-tools';
import { ApolloMockedProviderOptions } from './ApolloMockedProviderOptions';
import { ApolloCache } from '@apollo/client';
export declare const createApolloMockedProvider: (typeDefs: ITypeDefinitions, { cache: globalCache, links }?: ApolloMockedProviderOptions) => ({ customResolvers, cache: componentCache, children, }: {
    customResolvers?: any;
    children: React.ReactNode;
    cache?: ApolloCache<any> | undefined;
}) => JSX.Element;
